Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
GitHub action bot that print Flutter outdated packages as pinned GitHub issue
- name: Print outdated packages
run: |
echo 'OUTDATED_DEPENDENCIES<<EOF' >> $GITHUB_ENV
flutter pub outdated >> $GITHUB_ENV
echo 'EOF' >> $GITHUB_ENV
- name: New Flutter outdated issue
uses: imjohnbo/issue-bot@v3
with:
assignees: "louis030195"
labels: "medium priority"
title: Flutter outdated packages
body: |-
:wave: Hi, {{#each assignees}}@{{this}}{{#unless @last}}, {{/unless}}{{/each}}!
## These packages are outdated
```
${{ env.OUTDATED_DEPENDENCIES }}
```
pinned: true
close-previous: true
linked-comments: true
project: 1
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment